/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.register.service;

public interface IRegisterService
{
    String SERVICE_NAME = "RegisterService";
    
    public interface RegisterOperation{
        String OPERATION_NAME = "register";
        
        public interface INPUT{
            String NAME = "NAME";
            String SURNAME = "SURNAME";
        }
        
        public interface OUTPUT{
            String MESSAGE = "MESSAGE";
            String ID = "ID";
        }
    }
    
    public interface UpdateOperation
    {
        String OPERATION_NAME = "update";
        
        public interface INPUT{
            String ID = "ID";
            String NAME = "NAME";
            String SURNAME = "SURNAME";
        }
        
        public interface OUTPUT{
            String MESSAGE = "MESSAGE";
        }
        
    }
}
